function WindActionBottomLeft_OnLoad()
	WindCommon_setPoint(MultiBarBottomLeftButton1, "TOPLEFT", WindActionBottomLeft, "TOPLEFT", 10, -9);
	MultiBarBottomLeft:SetScript("OnShow", WindActionBottomLeft_OnShow);
	MultiBarBottomLeft:SetScript("OnHide", WindActionBottomLeft_OnHide);
	MultiBarBottomLeft:SetFrameStrata("LOW");
	WindCommon_setSize(MultiBarBottomLeft, 1, 1);
	this:RegisterEvent("VARIABLES_LOADED");

end

function WindActionBottomLeft_OnShow()
	WindCommon_setPoint(MultiBarBottomLeftButton1, "TOPLEFT", WindActionBottomLeft, "TOPLEFT", 10, -9);
	WindActionBottomLeft:Show();
end

function WindActionBottomLeft_OnHide()
	WindActionBottomLeft:Hide();
end

function WindActionBottomLeft_OnEvent()
	if (event == "VARIABLES_LOADED") then
		WindActionBottomLeft_initConfig();
		WindActionBottomLeft_setPoint();
		WindActionBottomLeft_setScale();
		WindActionBottomLeft_setSize();
		WindActionBottomLeft_setBorder();
	end
end

function WindActionBottomLeft_initConfig()
	if (not WindActionBottomLeftConfig) then WindActionBottomLeftConfig = WindActionDefault["BottomLeft"]; end

	if (IsAddOnLoaded("WindConfig")) then 
		WindActionConfigBottomLeft_show();
		WindActionConfigBottomLeft_setColor(color); 
	end
end

function WindActionBottomLeft_setPoint()
	WindCommon_setPoint(WindActionBottomLeft, WindActionBottomLeftConfig[1], UIParent, WindActionBottomLeftConfig[1], WindActionBottomLeftConfig[2], WindActionBottomLeftConfig[3]);
end

function WindActionBottomLeft_setScale()
	WindActionBottomLeft:SetScale(WindActionBottomLeftConfig[4]);
	MultiBarBottomLeft:SetScale(WindActionBottomLeftConfig[4]);
end

function WindActionBottomLeft_setSize()
	local index = WindActionBottomLeftConfig[5];
	WindCommon_setSize(WindActionBottomLeft, WindActionBorderSize[index][1], WindActionBorderSize[index][2]);
	WindActionButton_setAnchor(index, "MultiBarBottomLeftButton");
end

function WindActionBottomLeft_setBorder()
	if (WindActionBottomLeftConfig[6]) then 
		WindActionBottomLeft:SetBackdrop(WindCommon_ColorBorder);
		WindActionBottomLeft_setColor();
	else 
		WindActionBottomLeft:SetBackdrop(nil); 
	end
end

function WindActionBottomLeft_setColor()
	WindActionBottomLeft:SetBackdropBorderColor(WindActionBottomLeftConfig[7][1].r, WindActionBottomLeftConfig[7][1].g, WindActionBottomLeftConfig[7][1].b, WindActionBottomLeftConfig[7][1].a);
	WindActionBottomLeft:SetBackdropColor(WindActionBottomLeftConfig[7][2].r, WindActionBottomLeftConfig[7][2].g, WindActionBottomLeftConfig[7][2].b, WindActionBottomLeftConfig[7][2].a);
end

function WindActionBottomLeft_resetColor()
	WindActionBottomLeftConfig[7] = WindActionDefault["BottomLeft"][7];

	WindActionBottomLeft_setColor();
end